GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
debug_names::index_key Class Reference

## Public Member Functions
| index_key (int dwarf_tag_, bool is_static_, unit_kind kind_)
bool | operator== (const index_key &other) const

## Public Attributes
const int | dwarf_tag
const bool | is_static
const unit_kind | kind

## Detailed Description

Definition at line 26354 of file dwarf2read.c.

## Constructor & Destructor Documentation

## ◆ index_key()

debug_names::index_key::index_key | ( | int | dwarf_tag_,
|  | bool | is_static_,
|  | unit_kind | kind_
| ) |  |
| inline

Definition at line 26357 of file dwarf2read.c.

## Member Function Documentation

## ◆ operator==()

bool debug_names::index_key::operator== | ( | const index_key & | other | ) | const
| inline

Definition at line 26363 of file dwarf2read.c.

References dwarf_tag, is_static, and kind.

## Member Data Documentation

## ◆ dwarf_tag

const int debug_names::index_key::dwarf_tag

Definition at line 26369 of file dwarf2read.c.

Referenced by debug_names::index_key_hasher::operator()(), and operator==().

## ◆ is_static

const bool debug_names::index_key::is_static

Definition at line 26370 of file dwarf2read.c.

Referenced by debug_names::index_key_hasher::operator()(), and operator==().

## ◆ kind

const unit_kind debug_names::index_key::kind

Definition at line 26371 of file dwarf2read.c.

Referenced by operator==().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c